---
title: tooling::GotIntroReceivedEvent

---

# tooling::GotIntroReceivedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[GotIntroReceivedEvent](Classes/structtooling_1_1GotIntroReceivedEvent.md#function-gotintroreceivedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouter_, const [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from_, const [llarp::service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset_, uint64_t txid_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1GotIntroReceivedEvent.md#function-tostring)**() const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[From](Classes/structtooling_1_1GotIntroReceivedEvent.md#variable-from)**  |
| [llarp::service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) | **[Introset](Classes/structtooling_1_1GotIntroReceivedEvent.md#variable-introset)**  |
| uint64_t | **[RelayOrder](Classes/structtooling_1_1GotIntroReceivedEvent.md#variable-relayorder)**  |
| uint64_t | **[TxID](Classes/structtooling_1_1GotIntroReceivedEvent.md#variable-txid)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function GotIntroReceivedEvent

```cpp
inline GotIntroReceivedEvent(
    const llarp::RouterID & ourRouter_,
    const llarp::dht::Key_t & from_,
    const llarp::service::EncryptedIntroSet & introset_,
    uint64_t txid_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const override
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable From

```cpp
llarp::dht::Key_t From;
```


### variable Introset

```cpp
llarp::service::EncryptedIntroSet Introset;
```


### variable RelayOrder

```cpp
uint64_t RelayOrder;
```


### variable TxID

```cpp
uint64_t TxID;
```


-------------------------------

Updated on 2022-10-25 at 00:38:15 +0000